Browse Source

Update OpenBSD and FreeBSD build steps

Re-try with most recent versions, and use BDB_CFLAGS/BDB_LIBS to
directly point at BerkeleyDB instead of CPPFLAGS hacks.
pull/1/head
Wladimir J. van der Laan 6 years ago
parent
commit
5cc2ebb619
  1. 6
      doc/build-openbsd.md
  2. 4
      doc/build-unix.md

6
doc/build-openbsd.md

@ -1,6 +1,6 @@ @@ -1,6 +1,6 @@
OpenBSD build guide
======================
(updated for OpenBSD 5.9)
(updated for OpenBSD 6.0)
This guide describes how to build bitcoind and command-line utilities on OpenBSD.
@ -124,7 +124,7 @@ To configure with wallet: @@ -124,7 +124,7 @@ To configure with wallet:
```bash
./configure --with-gui=no --with-boost=$BOOST_PREFIX \
CC=egcc CXX=eg++ CPP=ecpp \
LDFLAGS="-L${BDB_PREFIX}/lib/" CPPFLAGS="-I${BDB_PREFIX}/include/"
BDB_LIBS="-L${BDB_PREFIX}/lib -ldb_cxx-4.8" BDB_CFLAGS="-I${BDB_PREFIX}/include"
```
To configure without wallet:
@ -142,6 +142,8 @@ gmake check @@ -142,6 +142,8 @@ gmake check
Clang (not currently working)
------------------------------
WARNING: This is outdated, needs to be updated for OpenBSD 6.0 and re-tried.
Using a newer g++ results in linking the new code to a new libstdc++.
Libraries built with the old g++, will still import the old library.
This gives conflicts, necessitating rebuild of all C++ dependencies of the application.

4
doc/build-unix.md

@ -315,7 +315,7 @@ For further documentation on the depends system see [README.md](../depends/READM @@ -315,7 +315,7 @@ For further documentation on the depends system see [README.md](../depends/READM
Building on FreeBSD
--------------------
(Updated as of FreeBSD 10.3)
(Updated as of FreeBSD 11.0)
Clang is installed by default as `cc` compiler, this makes it easier to get
started than on [OpenBSD](build-openbsd.md). Installing dependencies:
@ -337,7 +337,7 @@ with 4.8-built Bitcoin Core is needed follow the steps under "Berkeley DB" above @@ -337,7 +337,7 @@ with 4.8-built Bitcoin Core is needed follow the steps under "Berkeley DB" above
Then build using:
./autogen.sh
./configure --with-incompatible-bdb CPPFLAGS=-I/usr/local/include/db5 LDFLAGS=-L/usr/local/lib/db5
./configure --with-incompatible-bdb BDB_CFLAGS="-I/usr/local/include/db5" BDB_LIBS="-L/usr/local/lib -ldb_cxx-5"
make
*Note on debugging*: The version of `gdb` installed by default is [ancient and considered harmful](https://wiki.freebsd.org/GdbRetirement).

Loading…
Cancel
Save